import {ModuleWithProviders} from '@angular/core';
import {Routes, RouterModule} from '@angular/router';
import {DashboardComponent} from './components/dashboard/dashboard.component'
import { CitationWizardComponent } from './components/citation-wizard/citation-wizard.component';

const appRoutes : Routes = [
    {
        path: '',
        component: DashboardComponent
    },
    {
        path: 'wizard',
        component: CitationWizardComponent
    }
];
export const routing : ModuleWithProviders = RouterModule.forRoot(appRoutes,{ useHash: true });