import { Component, OnInit, Input} from '@angular/core';
import { Infractor } from './model/infractor';

@Component({
   selector: 'infractor',
   template: `<div>
   <h3>Infractor Information</h3>
     <div class="form-group">
       <label for="name">Name</label>
       <input class="form-control" name="name" type="text" id="name" [(ngModel)]="infractor.name"/>
     </div>
     <div class="form-group">
       <label for="name">Last Name</label>
       <input class="form-control" name="lastName" type="text" id="lastName" [(ngModel)]="infractor.lastName"/>
     </div>
     <div class="form-group">
       <label for="name">License Number</label>
       <input class="form-control" name="cardId" type="text" id="cardId" [(ngModel)]="infractor.cardId"/>
     </div>
     <div class="form-group">
       <label for="name">Address</label>
       <input class="form-control" name="address" type="text" id="address" [(ngModel)]="infractor.address"/>
     </div>
 </div>
 `,
})
export class InfractorComponent implements OnInit {
  
  @Input() infractor: Infractor;

  constructor(){}

  ngOnInit(): void {

      console.log('Infractor initialized')

  }


}