
import { Component, OnInit, Input } from '@angular/core';
import { Vehicle } from './model/vehicle';
@Component({ 
   selector: 'vehicle',
   template: `<div>
   <h3>Vehicle Information</h3>
   <div class="form-group">
     <label for="tagNumber">Tag Number:</label>
     <input class="form-control" id="tagNumber" name="tagNumber" type="text" [(ngModel)]="vehicle.tagNumber" />
   </div>
   <div class="form-group">
     <label for="brand">Brand:</label>
     <input class="form-control" id="brand" name="brand" type="text" [(ngModel)]="vehicle.brand" />
   </div>
   <div class="form-group">
     <label for="model">Model:</label>
     <input class="form-control" id="model" name="model" type="text" [(ngModel)]="vehicle.model" />
   </div>
   <div class="form-group">
     <label for="year">Year:</label>
     <input class="form-control" id="year" name="year" type="text" [(ngModel)]="vehicle.year" />
   </div>
   <div class="form-group">
     <label for="color">Color:</label>
     <input class="form-control" id="color" name="color" type="text" [(ngModel)]="vehicle.color" />
   </div>
 </div>
 `
})
export class VehicleComponent implements OnInit {
  
  @Input() vehicle: Vehicle;

  constructor(){}

  ngOnInit(): void {
      console.log('Vehicle Component initialized')
  }

}