import { Pipe, PipeTransform } from '@angular/core';
import { DomSanitizer, SafeUrl } from '@angular/platform-browser';

@Pipe({
  name: 'safeUrl'
})
export class SafeUrlPipe implements PipeTransform {
  constructor(private domSanitizer: DomSanitizer) { }
  transform(url: string): SafeUrl {
    console.log('se recibe: ' + url);
    return this.domSanitizer.bypassSecurityTrustUrl(url);
  }
}